<?php
namespace Dreamfox\DeliveryDate\Premium;

class CommonSetting
{

  private $_days;

  public function __construct($data = null)
  {
    if (is_object($data)) {
      $this->setDeliveryDays($data->deliveryDays);
    }
  }

  public function setDeliveryDays($days)
  {
    $this->_days = $days;
  }

  public function getDeliveryDays()
  {
    return $this->_days;
  }

  public function toArray()
  {
    return [
      'deliveryDays' => $this->_days
    ];
  }
}